version: "3.8"
services:
  api:
    container_name: api
    # Assuming we have a registry to pull from or the image locally, otherwise we use build
#    build:
#      context: ./
    image: registry.gitlab.com/andreas.poletti/telekom-assignment/bookstore-api:main
    networks:
      - bookstore_nw
    ports:
      - "8000:8000"
    env_file:
      - app.env
    volumes:
      - ./app:/app

  db:
    container_name: db
    image: postgres:latest
    networks:
      - bookstore_nw
    ports:
      - "5432:5432"
    env_file:
      - db.env
    volumes:
      - "./initdb/init-user-db.sh:/docker-entrypoint-initdb.d/init-user-db.sh"

  db_admin:
    container_name: pgadmin
    image: dpage/pgadmin4
    environment:
      PGADMIN_DEFAULT_EMAIL: test@test.com
      PGADMIN_DEFAULT_PASSWORD: test
      PGADMIN_DISABLE_POSTFIX: true
    ports:
      - "8080:80"



networks:
  bookstore_nw:
    driver: bridge